 [comment]: <>  ( __version__ = '0.3.0'  )
 
# *pharmacy*
[![Package Status](https://img.shields.io/pypi/status/pharmacy.svg)](https://pypi.org/project/pharmacy/)
[![PyPI Latest Release](https://img.shields.io/pypi/v/pharmacy.svg)](https://pypi.org/project/pharmacy/)
[![License](https://img.shields.io/pypi/l/pharmacy.svg)](https://github.com/PyPharm/pypharm/LICENSE/blob/main/LICENSE)
[![Downloads](https://static.pepy.tech/personalized-badge/pharmacy?period=month&units=international_system&left_color=grey&right_color=green&left_text=PyPI%20Downloads)](https://pepy.tech/project/pharmacy)

A hospital and retail pharmacy-focused Python package by Danny Limoges, PharmD. 

## <span style="color:red">*This project is in the alpha/planning stage.*</span>

## Installation
Available on PyPI as an installable package:  https://pypi.org/project/pharmacy/
```
  pip install pharmacy
```
## What is it?
This is a collection of modular utilities that aid in processing pharmacy data.  Users must perform their
own data validation to ensure that results generated by pharmacy are accurate 
and that the correct data was inputted.

## What is it *not*?
*pharmacy* is not a pharmacy management system and does not replace Epic, Meditech, Pioneer or any other pharmacy software.  
  

## Potential Future Goals
Tools to work on data from...
- Drug data
  - Use fuzzy and exact-matching to align different drug data files. 
  - Pricing
  - Generic Equivalents
  - Usage
  - Shortages and availability
- Patient profiles
  - Demographics
  - Geolocation
- Prescription data
  - Fills
  - Claims
    - Loss analysis
    - Opportunity analysis
- **Modeling**
  - Integrate pharmacy data with TensorFlow
  - Generate large-scale insights
  - Predict the outcomes of new clinical services based on current data
- **Integration**
  - Incorporate data from ordering sites, etc.

  

[comment]: https://fontawesome.com/icons/hospital?s=thin

